---
title: Background Check Consent Form
product: PDF Generator
description: Download a printable background check consent form in PDF. Generate editable or prefilled employee consent forms from JSON using SurveyJS PDF Generator.
framework: Vanilla JS
source: https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/vanillajs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Background Check Consent Form (Vanilla JS)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import { SurveyPDF } from "survey-pdf";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    surveyPDF.questionsOnPageMode = "standard";
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

const survey = new Model(json);
survey.showCompleteButton = false;
survey.navigationButtonsLocation = "topBottom";
survey.addNavigationItem({
    id: "survey_save_as_file",
    title: "Download PDF",
    action: () => {
        saveSurveyToPdf("surveyResult.pdf", survey);
    }
});
survey.addNavigationItem({
    id: "survey_pdf_preview",
    title: "Preview PDF",
    visible: window.navigator.pdfViewerEnabled,
    action: () => {
        previewPdf(survey);
    }
});
survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "title": "Background Check Consent Form",
  "headerView": "advanced",
  "questionErrorLocation": "bottom",
  "checkErrorsMode": "onValueChanged",
  "questionsOnPageMode": "singlePage",
  "pages": [
    {
      "name": "personal-details",
      "title": "Part A - Personal Details",
      "elements": [
        {
          "type": "panel",
          "name": "part-a-panel",
          "title": "Personal Details",
          "elements": [
            {
              "type": "text",
              "name": "surname",
              "title": "Surname",
              "maxLength": 35
            },
            {
              "type": "text",
              "name": "surname-at-birth",
              "startWithNewLine": false,
              "title": "Surname at Birth",
              "maxLength": 35
            },
            {
              "type": "matrixdynamic",
              "name": "full-given-names",
              "title": "Full Given Names",
              "description": "Enter all given names. Do not use initials.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "given-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "matrixdynamic",
              "name": "other-names",
              "startWithNewLine": false,
              "title": "Other Names Used",
              "description": "Nicknames, pseudonyms, or married names, if applicable.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "other-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "text",
              "name": "name-change",
              "title": "Name Change",
              "description": "Complete if you changed your name for a reason other than marriage.",
              "descriptionLocation": "underInput",
              "maxLength": 35
            },
            {
              "type": "multipletext",
              "name": "date-place",
              "startWithNewLine": false,
              "title": "Date and Place of Name Change",
              "items": [
                {
                  "name": "date",
                  "inputType": "date",
                  "title": "Date",
                  "validators": [
                    {
                      "type": "expression",
                      "text": "The date of name change must be after the date of birth.",
                      "expression": "diffDays({date-place.date}, {dob}) > 1 and {date-place.date} > {dob}"
                    }
                  ]
                },
                {
                  "name": "place",
                  "title": "Place"
                }
              ],
              "itemTitleWidth": "45"
            },
            {
              "type": "text",
              "name": "dob",
              "title": "Date of Birth",
              "validators": [
                {
                  "type": "expression",
                  "text": "You must be at least 18 years old.",
                  "expression": "age({dob}) >= 18"
                }
              ],
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "place-of-birth",
              "startWithNewLine": false,
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "radiogroup",
              "name": "gender",
              "maxWidth": "50%",
              "title": "Gender",
              "choices": [
                {
                  "value": "female",
                  "text": "Female"
                },
                {
                  "value": "male",
                  "text": "Male"
                }
              ],
              "showOtherItem": true,
              "otherText": "Other (please specify)"
            },
            {
              "type": "text",
              "name": "insurance",
              "title": "Social Insurance Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "999999999"
              }
            },
            {
              "type": "text",
              "name": "personal-business-reg-number",
              "startWithNewLine": false,
              "title": "Business Registration Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "tel-numbers",
              "title": "Telephone Numbers",
              "description": "List all telephone numbers where you can be reached.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "tel-numbers-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add number"
            },
            {
              "type": "matrixdynamic",
              "name": "email-addresses",
              "startWithNewLine": false,
              "title": "Email Addresses",
              "description": "List all email addresses used to contact you.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "emails-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add email"
            },
            {
              "type": "radiogroup",
              "name": "civil-status",
              "title": "Civil Status",
              "colCount": 2,
              "choices": [
                {
                  "value": "single",
                  "text": "Single"
                },
                {
                  "value": "married",
                  "text": "Married"
                },
                {
                  "value": "partnership",
                  "text": "Common law partnership"
                },
                {
                  "value": "separated",
                  "text": "Separated"
                },
                {
                  "value": "divorced",
                  "text": "Divorced"
                },
                {
                  "value": "widowed",
                  "text": "Widowed"
                }
              ]
            }
          ]
        }
      ]
    },
    {
      "name": "partner-details",
      "title": "Part B - Partner Details",
      "description": "Provide partner information if applicable.",
      "elements": [
        {
          "type": "panel",
          "name": "part-b",
          "title": "Partner Information",
          "elements": [
            {
              "type": "text",
              "name": "partner-surname",
              "title": "Partner Surname"
            },
            {
              "type": "text",
              "name": "partner-surname-at-birth",
              "startWithNewLine": false,
              "title": "Partner Surname at Birth"
            },
            {
              "type": "matrixdynamic",
              "name": "partner-full-given-names",
              "maxWidth": "50%",
              "title": "Partner Full Given Names",
              "description": "Enter all given names. Do not use initials.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "partner-given-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "text",
              "name": "partner-name-change",
              "title": "Partner Name Change",
              "description": "Complete if applicable and not related to marriage.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "multipletext",
              "name": "date-place-partner",
              "startWithNewLine": false,
              "title": "Date and Place of Name Change",
              "items": [
                {
                  "name": "date",
                  "inputType": "date",
                  "title": "Date"
                },
                {
                  "name": "place",
                  "title": "Place"
                }
              ],
              "itemTitleWidth": "45"
            },
            {
              "type": "text",
              "name": "dob-partner",
              "title": "Partner Date of Birth",
              "validators": [
                {
                  "type": "expression",
                  "text": "Partner must be at least 18 years old.",
                  "expression": "age({dob-partner}) >= 18"
                }
              ],
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "partner-place-birth",
              "startWithNewLine": false,
              "title": "Partner Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "citizenship",
              "maxWidth": "50%",
              "title": "Current Citizenship",
              "description": "Enter all countries of citizenship.",
              "showHeader": false,
              "columns": [
                {
                  "name": "citizenship-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add country"
            },
            {
              "type": "radiogroup",
              "name": "partner-gender",
              "maxWidth": "50%",
              "title": "Partner Gender",
              "startWithNewLine": false,
              "choices": [
                {
                  "value": "female",
                  "text": "Female"
                },
                {
                  "value": "male",
                  "text": "Male"
                }
              ],
              "showOtherItem": true,
              "otherText": "Other (please specify)"
            },
            {
              "type": "text",
              "name": "city-marriage",
              "title": "City and Province or State of Marriage or Partnership"
            },
            {
              "type": "text",
              "name": "date-marriage",
              "startWithNewLine": false,
              "title": "Date of Marriage or Partnership",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "country-marriage",
              "title": "Country of Marriage or Partnership"
            },
            {
              "type": "text",
              "name": "partner-insurance",
              "title": "Partner Social Insurance Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "999999999"
              }
            },
            {
              "type": "text",
              "name": "partner-business-reg-number",
              "startWithNewLine": false,
              "title": "Partner Business Registration Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "boolean",
              "name": "same-address",
              "title": "Is the partner address the same as the candidate address?"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Partner Address",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "city",
              "title": "City",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "province-state",
              "startWithNewLine": false,
              "title": "Province or State",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "postal-code",
              "title": "Postal Code",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "country",
              "startWithNewLine": false,
              "title": "Country",
              "description": "Complete if the address is different."
            }
          ]
        }
      ]
    },
    {
      "name": "part-c",
      "title": "Part C",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "previous-partners",
          "title": "Previous Partners",
          "description": "List any previous partners from the last five (5) years, if applicable.",
          "templateTitle": "Previous Partner #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateElements": [
            {
              "type": "text",
              "name": "pp-surname",
              "title": "Surname"
            },
            {
              "type": "text",
              "name": "pp-full-given-names",
              "startWithNewLine": false,
              "title": "Full Given Names"
            },
            {
              "type": "text",
              "name": "pp-surname-at-birth",
              "startWithNewLine": false,
              "title": "Surname at Birth"
            },
            {
              "type": "text",
              "name": "pp-dob",
              "title": "Date of Birth",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "pp-place-birth",
              "startWithNewLine": false,
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "pp-current-citizenships",
              "maxWidth": "50%",
              "title": "Current Citizenship(s)",
              "description": "Enter all countries of citizenship.",
              "showHeader": false,
              "columns": [
                {
                  "name": "pp-current-citizenships-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add country"
            }
          ]
        },
        {
          "type": "paneldynamic",
          "name": "relatives",
          "title": "Relatives",
          "description": "Include parents, siblings, children (including step or half siblings or children), and parents-in-law. Do not use initials.",
          "templateTitle": "Relative #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "addPanelText": "Add relative",
          "templateElements": [
            {
              "type": "text",
              "name": "relative-full-name",
              "title": "Full Name",
              "description": "Surname and all given names, including maiden name.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "relative-relationship",
              "startWithNewLine": false,
              "title": "Relationship",
              "dataList": [
                "Mother",
                "Father",
                "Brother",
                "Sister",
                "Aunt",
                "Uncle",
                "Child",
                "Half-sister",
                "Half-brother",
                "Stepsister",
                "Stepbrother",
                "Mother-in-law",
                "Father-in-law",
                "Sister-in-law",
                "Brother-in-law",
                "Grandmother",
                "Grandfather",
                "Granddaughter",
                "Grandson",
                "Niece",
                "Nephew",
                "Cousin",
                "Stepmother",
                "Stepfather",
                "Daughter-in-law",
                "Son-in-law"
              ]
            },
            {
              "type": "text",
              "name": "relative-place-of-birth",
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "relative-date-of-birth",
              "startWithNewLine": false,
              "title": "Date of Birth",
              "inputType": "date"
            },
            {
              "type": "comment",
              "name": "relative-current-address",
              "title": "Current Address",
              "description": "Apartment or street number, street name, city, province or state, and country.",
              "descriptionLocation": "underInput",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "relative-date-of-death",
              "startWithNewLine": false,
              "title": "Date of Death",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput",
              "inputType": "date"
            },
            {
              "type": "comment",
              "name": "relative-name-address-employer",
              "title": "Employer Name and Address",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "relative-job-title",
              "startWithNewLine": false,
              "title": "Job Title"
            }
          ]
        }
      ]
    },
    {
      "name": "part-d",
      "title": "Part D - Residential and Service Information",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "addresses",
          "title": "Addresses in the Last 10 Years",
          "description": "List all addresses where you have lived during the last 10 years, starting with the most recent. Ensure there are no gaps in time.",
          "templateTitle": "Address #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateElements": [
            {
              "type": "text",
              "name": "from",
              "title": "From",
              "description": "Enter start date in YYYY/MM format.",
              "descriptionLocation": "underInput",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "9999/99"
              }
            },
            {
              "type": "text",
              "name": "to",
              "title": "To",
              "description": "Enter end date in YYYY/MM format or type Present if this is your current address.",
              "descriptionLocation": "underInput",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "tel-number",
              "startWithNewLine": false,
              "title": "Telephone Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "apartment-number",
              "title": "Apartment Number",
              "inputType": "number"
            },
            {
              "type": "comment",
              "name": "street-name-no",
              "startWithNewLine": false,
              "title": "Street Number and Street Name",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "current-address",
              "startWithNewLine": false,
              "title": "City"
            },
            {
              "type": "text",
              "name": "employer-name-address",
              "title": "Province or State"
            },
            {
              "type": "text",
              "name": "postal-code",
              "startWithNewLine": false,
              "title": "Postal Code",
              "maxLength": 10
            },
            {
              "type": "text",
              "name": "country-address",
              "startWithNewLine": false,
              "title": "Country"
            }
          ]
        },
        {
          "type": "boolean",
          "name": "armed-forces",
          "maxWidth": "60%",
          "title": "Have you served in the U.S. Armed Forces (Regular or Reserves) at age 16 or older?"
        },
        {
          "type": "text",
          "name": "service-number",
          "maxWidth": "40%",
          "startWithNewLine": false,
          "title": "Service Number",
          "description": "Provide your U.S. Armed Forces service number, if applicable."
        }
      ]
    },
    {
      "name": "part-e",
      "title": "Part E",
      "elements": [
        {
          "type": "boolean",
          "name": "employed",
          "title": "Are you currently employed?"
        },
        {
          "type": "paneldynamic",
          "name": "employment",
          "title": "Employment History (Last 10 Years)",
          "description": "List all employment during the last 10 years, starting with the most recent. Ensure there are no gaps in time.",
          "templateTitle": "Employer #{panelIndex}",
          "panelCount": 5,
          "panelsState": "firstExpanded",
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "employment-date",
              "title": "From",
              "description": "Enter start date in YYYY/MM format.",
              "descriptionLocation": "underInput",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "9999/99"
              }
            },
            {
              "type": "text",
              "name": "employment-to",
              "startWithNewLine": false,
              "title": "To",
              "description": "Enter end date in YYYY/MM format or type Present if this is your current position.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "job-title-description",
              "startWithNewLine": false,
              "title": "Job Title or Description"
            },
            {
              "type": "text",
              "name": "employment-apartment-number",
              "title": "Employer Name",
              "description": "Provide the full employer name."
            },
            {
              "type": "text",
              "name": "job-site-address",
              "title": "Job Site Address",
              "description": "Street number and street name.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "job-site-city",
              "startWithNewLine": false,
              "title": "City"
            },
            {
              "type": "text",
              "name": "job-site-state-province",
              "title": "Province or State"
            },
            {
              "type": "text",
              "name": "job-site-postal-code",
              "startWithNewLine": false,
              "title": "Postal Code",
              "maxLength": 10
            },
            {
              "type": "text",
              "name": "job-site-country",
              "startWithNewLine": false,
              "title": "Country"
            }
          ]
        }
      ]
    }
  ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-pdf": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/angular.md)
- [React](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/jquery.md)


---
title: Background Check Consent Form
product: PDF Generator
description: Download a printable background check consent form in PDF. Generate editable or prefilled employee consent forms from JSON using SurveyJS PDF Generator.
framework: React
source: https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/reactjs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Background Check Consent Form (React)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/SurveyPdfComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    surveyPDF.questionsOnPageMode = "standard";
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

function SurveyPdfComponent () {
    const survey = new Model(json);
    survey.showCompleteButton = false;
    survey.navigationButtonsLocation = "topBottom";
    survey.addNavigationItem({
        id: "survey_save_as_file",
        title: "Download PDF",
        action: () => {
            saveSurveyToPdf("surveyResult.pdf", survey);
        }
    });
    survey.addNavigationItem({
        id: "survey_pdf_preview",
        title: "Preview PDF",
        visible: window.navigator.pdfViewerEnabled,
        action: () => {
            previewPdf(survey);
        }
    });
    return (<Survey model={survey} />);
}

export default SurveyPdfComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyPdfComponent from "./SurveyPdfComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyPdfComponent />);
```

### `src/json.js`

```js
export const json = {
  "title": "Background Check Consent Form",
  "headerView": "advanced",
  "questionErrorLocation": "bottom",
  "checkErrorsMode": "onValueChanged",
  "questionsOnPageMode": "singlePage",
  "pages": [
    {
      "name": "personal-details",
      "title": "Part A - Personal Details",
      "elements": [
        {
          "type": "panel",
          "name": "part-a-panel",
          "title": "Personal Details",
          "elements": [
            {
              "type": "text",
              "name": "surname",
              "title": "Surname",
              "maxLength": 35
            },
            {
              "type": "text",
              "name": "surname-at-birth",
              "startWithNewLine": false,
              "title": "Surname at Birth",
              "maxLength": 35
            },
            {
              "type": "matrixdynamic",
              "name": "full-given-names",
              "title": "Full Given Names",
              "description": "Enter all given names. Do not use initials.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "given-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "matrixdynamic",
              "name": "other-names",
              "startWithNewLine": false,
              "title": "Other Names Used",
              "description": "Nicknames, pseudonyms, or married names, if applicable.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "other-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "text",
              "name": "name-change",
              "title": "Name Change",
              "description": "Complete if you changed your name for a reason other than marriage.",
              "descriptionLocation": "underInput",
              "maxLength": 35
            },
            {
              "type": "multipletext",
              "name": "date-place",
              "startWithNewLine": false,
              "title": "Date and Place of Name Change",
              "items": [
                {
                  "name": "date",
                  "inputType": "date",
                  "title": "Date",
                  "validators": [
                    {
                      "type": "expression",
                      "text": "The date of name change must be after the date of birth.",
                      "expression": "diffDays({date-place.date}, {dob}) > 1 and {date-place.date} > {dob}"
                    }
                  ]
                },
                {
                  "name": "place",
                  "title": "Place"
                }
              ],
              "itemTitleWidth": "45"
            },
            {
              "type": "text",
              "name": "dob",
              "title": "Date of Birth",
              "validators": [
                {
                  "type": "expression",
                  "text": "You must be at least 18 years old.",
                  "expression": "age({dob}) >= 18"
                }
              ],
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "place-of-birth",
              "startWithNewLine": false,
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "radiogroup",
              "name": "gender",
              "maxWidth": "50%",
              "title": "Gender",
              "choices": [
                {
                  "value": "female",
                  "text": "Female"
                },
                {
                  "value": "male",
                  "text": "Male"
                }
              ],
              "showOtherItem": true,
              "otherText": "Other (please specify)"
            },
            {
              "type": "text",
              "name": "insurance",
              "title": "Social Insurance Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "999999999"
              }
            },
            {
              "type": "text",
              "name": "personal-business-reg-number",
              "startWithNewLine": false,
              "title": "Business Registration Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "tel-numbers",
              "title": "Telephone Numbers",
              "description": "List all telephone numbers where you can be reached.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "tel-numbers-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add number"
            },
            {
              "type": "matrixdynamic",
              "name": "email-addresses",
              "startWithNewLine": false,
              "title": "Email Addresses",
              "description": "List all email addresses used to contact you.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "emails-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add email"
            },
            {
              "type": "radiogroup",
              "name": "civil-status",
              "title": "Civil Status",
              "colCount": 2,
              "choices": [
                {
                  "value": "single",
                  "text": "Single"
                },
                {
                  "value": "married",
                  "text": "Married"
                },
                {
                  "value": "partnership",
                  "text": "Common law partnership"
                },
                {
                  "value": "separated",
                  "text": "Separated"
                },
                {
                  "value": "divorced",
                  "text": "Divorced"
                },
                {
                  "value": "widowed",
                  "text": "Widowed"
                }
              ]
            }
          ]
        }
      ]
    },
    {
      "name": "partner-details",
      "title": "Part B - Partner Details",
      "description": "Provide partner information if applicable.",
      "elements": [
        {
          "type": "panel",
          "name": "part-b",
          "title": "Partner Information",
          "elements": [
            {
              "type": "text",
              "name": "partner-surname",
              "title": "Partner Surname"
            },
            {
              "type": "text",
              "name": "partner-surname-at-birth",
              "startWithNewLine": false,
              "title": "Partner Surname at Birth"
            },
            {
              "type": "matrixdynamic",
              "name": "partner-full-given-names",
              "maxWidth": "50%",
              "title": "Partner Full Given Names",
              "description": "Enter all given names. Do not use initials.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "partner-given-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "text",
              "name": "partner-name-change",
              "title": "Partner Name Change",
              "description": "Complete if applicable and not related to marriage.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "multipletext",
              "name": "date-place-partner",
              "startWithNewLine": false,
              "title": "Date and Place of Name Change",
              "items": [
                {
                  "name": "date",
                  "inputType": "date",
                  "title": "Date"
                },
                {
                  "name": "place",
                  "title": "Place"
                }
              ],
              "itemTitleWidth": "45"
            },
            {
              "type": "text",
              "name": "dob-partner",
              "title": "Partner Date of Birth",
              "validators": [
                {
                  "type": "expression",
                  "text": "Partner must be at least 18 years old.",
                  "expression": "age({dob-partner}) >= 18"
                }
              ],
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "partner-place-birth",
              "startWithNewLine": false,
              "title": "Partner Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "citizenship",
              "maxWidth": "50%",
              "title": "Current Citizenship",
              "description": "Enter all countries of citizenship.",
              "showHeader": false,
              "columns": [
                {
                  "name": "citizenship-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add country"
            },
            {
              "type": "radiogroup",
              "name": "partner-gender",
              "maxWidth": "50%",
              "title": "Partner Gender",
              "startWithNewLine": false,
              "choices": [
                {
                  "value": "female",
                  "text": "Female"
                },
                {
                  "value": "male",
                  "text": "Male"
                }
              ],
              "showOtherItem": true,
              "otherText": "Other (please specify)"
            },
            {
              "type": "text",
              "name": "city-marriage",
              "title": "City and Province or State of Marriage or Partnership"
            },
            {
              "type": "text",
              "name": "date-marriage",
              "startWithNewLine": false,
              "title": "Date of Marriage or Partnership",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "country-marriage",
              "title": "Country of Marriage or Partnership"
            },
            {
              "type": "text",
              "name": "partner-insurance",
              "title": "Partner Social Insurance Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "999999999"
              }
            },
            {
              "type": "text",
              "name": "partner-business-reg-number",
              "startWithNewLine": false,
              "title": "Partner Business Registration Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "boolean",
              "name": "same-address",
              "title": "Is the partner address the same as the candidate address?"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Partner Address",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "city",
              "title": "City",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "province-state",
              "startWithNewLine": false,
              "title": "Province or State",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "postal-code",
              "title": "Postal Code",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "country",
              "startWithNewLine": false,
              "title": "Country",
              "description": "Complete if the address is different."
            }
          ]
        }
      ]
    },
    {
      "name": "part-c",
      "title": "Part C",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "previous-partners",
          "title": "Previous Partners",
          "description": "List any previous partners from the last five (5) years, if applicable.",
          "templateTitle": "Previous Partner #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateElements": [
            {
              "type": "text",
              "name": "pp-surname",
              "title": "Surname"
            },
            {
              "type": "text",
              "name": "pp-full-given-names",
              "startWithNewLine": false,
              "title": "Full Given Names"
            },
            {
              "type": "text",
              "name": "pp-surname-at-birth",
              "startWithNewLine": false,
              "title": "Surname at Birth"
            },
            {
              "type": "text",
              "name": "pp-dob",
              "title": "Date of Birth",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "pp-place-birth",
              "startWithNewLine": false,
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "pp-current-citizenships",
              "maxWidth": "50%",
              "title": "Current Citizenship(s)",
              "description": "Enter all countries of citizenship.",
              "showHeader": false,
              "columns": [
                {
                  "name": "pp-current-citizenships-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add country"
            }
          ]
        },
        {
          "type": "paneldynamic",
          "name": "relatives",
          "title": "Relatives",
          "description": "Include parents, siblings, children (including step or half siblings or children), and parents-in-law. Do not use initials.",
          "templateTitle": "Relative #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "addPanelText": "Add relative",
          "templateElements": [
            {
              "type": "text",
              "name": "relative-full-name",
              "title": "Full Name",
              "description": "Surname and all given names, including maiden name.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "relative-relationship",
              "startWithNewLine": false,
              "title": "Relationship",
              "dataList": [
                "Mother",
                "Father",
                "Brother",
                "Sister",
                "Aunt",
                "Uncle",
                "Child",
                "Half-sister",
                "Half-brother",
                "Stepsister",
                "Stepbrother",
                "Mother-in-law",
                "Father-in-law",
                "Sister-in-law",
                "Brother-in-law",
                "Grandmother",
                "Grandfather",
                "Granddaughter",
                "Grandson",
                "Niece",
                "Nephew",
                "Cousin",
                "Stepmother",
                "Stepfather",
                "Daughter-in-law",
                "Son-in-law"
              ]
            },
            {
              "type": "text",
              "name": "relative-place-of-birth",
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "relative-date-of-birth",
              "startWithNewLine": false,
              "title": "Date of Birth",
              "inputType": "date"
            },
            {
              "type": "comment",
              "name": "relative-current-address",
              "title": "Current Address",
              "description": "Apartment or street number, street name, city, province or state, and country.",
              "descriptionLocation": "underInput",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "relative-date-of-death",
              "startWithNewLine": false,
              "title": "Date of Death",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput",
              "inputType": "date"
            },
            {
              "type": "comment",
              "name": "relative-name-address-employer",
              "title": "Employer Name and Address",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "relative-job-title",
              "startWithNewLine": false,
              "title": "Job Title"
            }
          ]
        }
      ]
    },
    {
      "name": "part-d",
      "title": "Part D - Residential and Service Information",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "addresses",
          "title": "Addresses in the Last 10 Years",
          "description": "List all addresses where you have lived during the last 10 years, starting with the most recent. Ensure there are no gaps in time.",
          "templateTitle": "Address #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateElements": [
            {
              "type": "text",
              "name": "from",
              "title": "From",
              "description": "Enter start date in YYYY/MM format.",
              "descriptionLocation": "underInput",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "9999/99"
              }
            },
            {
              "type": "text",
              "name": "to",
              "title": "To",
              "description": "Enter end date in YYYY/MM format or type Present if this is your current address.",
              "descriptionLocation": "underInput",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "tel-number",
              "startWithNewLine": false,
              "title": "Telephone Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "apartment-number",
              "title": "Apartment Number",
              "inputType": "number"
            },
            {
              "type": "comment",
              "name": "street-name-no",
              "startWithNewLine": false,
              "title": "Street Number and Street Name",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "current-address",
              "startWithNewLine": false,
              "title": "City"
            },
            {
              "type": "text",
              "name": "employer-name-address",
              "title": "Province or State"
            },
            {
              "type": "text",
              "name": "postal-code",
              "startWithNewLine": false,
              "title": "Postal Code",
              "maxLength": 10
            },
            {
              "type": "text",
              "name": "country-address",
              "startWithNewLine": false,
              "title": "Country"
            }
          ]
        },
        {
          "type": "boolean",
          "name": "armed-forces",
          "maxWidth": "60%",
          "title": "Have you served in the U.S. Armed Forces (Regular or Reserves) at age 16 or older?"
        },
        {
          "type": "text",
          "name": "service-number",
          "maxWidth": "40%",
          "startWithNewLine": false,
          "title": "Service Number",
          "description": "Provide your U.S. Armed Forces service number, if applicable."
        }
      ]
    },
    {
      "name": "part-e",
      "title": "Part E",
      "elements": [
        {
          "type": "boolean",
          "name": "employed",
          "title": "Are you currently employed?"
        },
        {
          "type": "paneldynamic",
          "name": "employment",
          "title": "Employment History (Last 10 Years)",
          "description": "List all employment during the last 10 years, starting with the most recent. Ensure there are no gaps in time.",
          "templateTitle": "Employer #{panelIndex}",
          "panelCount": 5,
          "panelsState": "firstExpanded",
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "employment-date",
              "title": "From",
              "description": "Enter start date in YYYY/MM format.",
              "descriptionLocation": "underInput",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "9999/99"
              }
            },
            {
              "type": "text",
              "name": "employment-to",
              "startWithNewLine": false,
              "title": "To",
              "description": "Enter end date in YYYY/MM format or type Present if this is your current position.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "job-title-description",
              "startWithNewLine": false,
              "title": "Job Title or Description"
            },
            {
              "type": "text",
              "name": "employment-apartment-number",
              "title": "Employer Name",
              "description": "Provide the full employer name."
            },
            {
              "type": "text",
              "name": "job-site-address",
              "title": "Job Site Address",
              "description": "Street number and street name.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "job-site-city",
              "startWithNewLine": false,
              "title": "City"
            },
            {
              "type": "text",
              "name": "job-site-state-province",
              "title": "Province or State"
            },
            {
              "type": "text",
              "name": "job-site-postal-code",
              "startWithNewLine": false,
              "title": "Postal Code",
              "maxLength": 10
            },
            {
              "type": "text",
              "name": "job-site-country",
              "startWithNewLine": false,
              "title": "Country"
            }
          ]
        }
      ]
    }
  ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-pdf": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/angular.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/vanillajs.md)


---
title: Background Check Consent Form
product: PDF Generator
description: Download a printable background check consent form in PDF. Generate editable or prefilled employee consent forms from JSON using SurveyJS PDF Generator.
framework: Angular
source: https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/angular
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Background Check Consent Form (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "title": "Background Check Consent Form",
  "headerView": "advanced",
  "questionErrorLocation": "bottom",
  "checkErrorsMode": "onValueChanged",
  "questionsOnPageMode": "singlePage",
  "pages": [
    {
      "name": "personal-details",
      "title": "Part A - Personal Details",
      "elements": [
        {
          "type": "panel",
          "name": "part-a-panel",
          "title": "Personal Details",
          "elements": [
            {
              "type": "text",
              "name": "surname",
              "title": "Surname",
              "maxLength": 35
            },
            {
              "type": "text",
              "name": "surname-at-birth",
              "startWithNewLine": false,
              "title": "Surname at Birth",
              "maxLength": 35
            },
            {
              "type": "matrixdynamic",
              "name": "full-given-names",
              "title": "Full Given Names",
              "description": "Enter all given names. Do not use initials.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "given-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "matrixdynamic",
              "name": "other-names",
              "startWithNewLine": false,
              "title": "Other Names Used",
              "description": "Nicknames, pseudonyms, or married names, if applicable.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "other-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "text",
              "name": "name-change",
              "title": "Name Change",
              "description": "Complete if you changed your name for a reason other than marriage.",
              "descriptionLocation": "underInput",
              "maxLength": 35
            },
            {
              "type": "multipletext",
              "name": "date-place",
              "startWithNewLine": false,
              "title": "Date and Place of Name Change",
              "items": [
                {
                  "name": "date",
                  "inputType": "date",
                  "title": "Date",
                  "validators": [
                    {
                      "type": "expression",
                      "text": "The date of name change must be after the date of birth.",
                      "expression": "diffDays({date-place.date}, {dob}) > 1 and {date-place.date} > {dob}"
                    }
                  ]
                },
                {
                  "name": "place",
                  "title": "Place"
                }
              ],
              "itemTitleWidth": "45"
            },
            {
              "type": "text",
              "name": "dob",
              "title": "Date of Birth",
              "validators": [
                {
                  "type": "expression",
                  "text": "You must be at least 18 years old.",
                  "expression": "age({dob}) >= 18"
                }
              ],
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "place-of-birth",
              "startWithNewLine": false,
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "radiogroup",
              "name": "gender",
              "maxWidth": "50%",
              "title": "Gender",
              "choices": [
                {
                  "value": "female",
                  "text": "Female"
                },
                {
                  "value": "male",
                  "text": "Male"
                }
              ],
              "showOtherItem": true,
              "otherText": "Other (please specify)"
            },
            {
              "type": "text",
              "name": "insurance",
              "title": "Social Insurance Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "999999999"
              }
            },
            {
              "type": "text",
              "name": "personal-business-reg-number",
              "startWithNewLine": false,
              "title": "Business Registration Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "tel-numbers",
              "title": "Telephone Numbers",
              "description": "List all telephone numbers where you can be reached.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "tel-numbers-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add number"
            },
            {
              "type": "matrixdynamic",
              "name": "email-addresses",
              "startWithNewLine": false,
              "title": "Email Addresses",
              "description": "List all email addresses used to contact you.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "emails-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add email"
            },
            {
              "type": "radiogroup",
              "name": "civil-status",
              "title": "Civil Status",
              "colCount": 2,
              "choices": [
                {
                  "value": "single",
                  "text": "Single"
                },
                {
                  "value": "married",
                  "text": "Married"
                },
                {
                  "value": "partnership",
                  "text": "Common law partnership"
                },
                {
                  "value": "separated",
                  "text": "Separated"
                },
                {
                  "value": "divorced",
                  "text": "Divorced"
                },
                {
                  "value": "widowed",
                  "text": "Widowed"
                }
              ]
            }
          ]
        }
      ]
    },
    {
      "name": "partner-details",
      "title": "Part B - Partner Details",
      "description": "Provide partner information if applicable.",
      "elements": [
        {
          "type": "panel",
          "name": "part-b",
          "title": "Partner Information",
          "elements": [
            {
              "type": "text",
              "name": "partner-surname",
              "title": "Partner Surname"
            },
            {
              "type": "text",
              "name": "partner-surname-at-birth",
              "startWithNewLine": false,
              "title": "Partner Surname at Birth"
            },
            {
              "type": "matrixdynamic",
              "name": "partner-full-given-names",
              "maxWidth": "50%",
              "title": "Partner Full Given Names",
              "description": "Enter all given names. Do not use initials.",
              "descriptionLocation": "underTitle",
              "showHeader": false,
              "columns": [
                {
                  "name": "partner-given-names-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add name"
            },
            {
              "type": "text",
              "name": "partner-name-change",
              "title": "Partner Name Change",
              "description": "Complete if applicable and not related to marriage.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "multipletext",
              "name": "date-place-partner",
              "startWithNewLine": false,
              "title": "Date and Place of Name Change",
              "items": [
                {
                  "name": "date",
                  "inputType": "date",
                  "title": "Date"
                },
                {
                  "name": "place",
                  "title": "Place"
                }
              ],
              "itemTitleWidth": "45"
            },
            {
              "type": "text",
              "name": "dob-partner",
              "title": "Partner Date of Birth",
              "validators": [
                {
                  "type": "expression",
                  "text": "Partner must be at least 18 years old.",
                  "expression": "age({dob-partner}) >= 18"
                }
              ],
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "partner-place-birth",
              "startWithNewLine": false,
              "title": "Partner Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "citizenship",
              "maxWidth": "50%",
              "title": "Current Citizenship",
              "description": "Enter all countries of citizenship.",
              "showHeader": false,
              "columns": [
                {
                  "name": "citizenship-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add country"
            },
            {
              "type": "radiogroup",
              "name": "partner-gender",
              "maxWidth": "50%",
              "title": "Partner Gender",
              "startWithNewLine": false,
              "choices": [
                {
                  "value": "female",
                  "text": "Female"
                },
                {
                  "value": "male",
                  "text": "Male"
                }
              ],
              "showOtherItem": true,
              "otherText": "Other (please specify)"
            },
            {
              "type": "text",
              "name": "city-marriage",
              "title": "City and Province or State of Marriage or Partnership"
            },
            {
              "type": "text",
              "name": "date-marriage",
              "startWithNewLine": false,
              "title": "Date of Marriage or Partnership",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "country-marriage",
              "title": "Country of Marriage or Partnership"
            },
            {
              "type": "text",
              "name": "partner-insurance",
              "title": "Partner Social Insurance Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "999999999"
              }
            },
            {
              "type": "text",
              "name": "partner-business-reg-number",
              "startWithNewLine": false,
              "title": "Partner Business Registration Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "boolean",
              "name": "same-address",
              "title": "Is the partner address the same as the candidate address?"
            },
            {
              "type": "text",
              "name": "address",
              "title": "Partner Address",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "city",
              "title": "City",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "province-state",
              "startWithNewLine": false,
              "title": "Province or State",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "postal-code",
              "title": "Postal Code",
              "description": "Complete if the address is different."
            },
            {
              "type": "text",
              "name": "country",
              "startWithNewLine": false,
              "title": "Country",
              "description": "Complete if the address is different."
            }
          ]
        }
      ]
    },
    {
      "name": "part-c",
      "title": "Part C",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "previous-partners",
          "title": "Previous Partners",
          "description": "List any previous partners from the last five (5) years, if applicable.",
          "templateTitle": "Previous Partner #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateElements": [
            {
              "type": "text",
              "name": "pp-surname",
              "title": "Surname"
            },
            {
              "type": "text",
              "name": "pp-full-given-names",
              "startWithNewLine": false,
              "title": "Full Given Names"
            },
            {
              "type": "text",
              "name": "pp-surname-at-birth",
              "startWithNewLine": false,
              "title": "Surname at Birth"
            },
            {
              "type": "text",
              "name": "pp-dob",
              "title": "Date of Birth",
              "inputType": "date"
            },
            {
              "type": "text",
              "name": "pp-place-birth",
              "startWithNewLine": false,
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "matrixdynamic",
              "name": "pp-current-citizenships",
              "maxWidth": "50%",
              "title": "Current Citizenship(s)",
              "description": "Enter all countries of citizenship.",
              "showHeader": false,
              "columns": [
                {
                  "name": "pp-current-citizenships-matrix",
                  "cellType": "text",
                  "isUnique": true
                }
              ],
              "rowCount": 3,
              "confirmDelete": true,
              "confirmDeleteText": "Are you sure you want to delete this entry?",
              "addRowText": "Add country"
            }
          ]
        },
        {
          "type": "paneldynamic",
          "name": "relatives",
          "title": "Relatives",
          "description": "Include parents, siblings, children (including step or half siblings or children), and parents-in-law. Do not use initials.",
          "templateTitle": "Relative #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "addPanelText": "Add relative",
          "templateElements": [
            {
              "type": "text",
              "name": "relative-full-name",
              "title": "Full Name",
              "description": "Surname and all given names, including maiden name.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "relative-relationship",
              "startWithNewLine": false,
              "title": "Relationship",
              "dataList": [
                "Mother",
                "Father",
                "Brother",
                "Sister",
                "Aunt",
                "Uncle",
                "Child",
                "Half-sister",
                "Half-brother",
                "Stepsister",
                "Stepbrother",
                "Mother-in-law",
                "Father-in-law",
                "Sister-in-law",
                "Brother-in-law",
                "Grandmother",
                "Grandfather",
                "Granddaughter",
                "Grandson",
                "Niece",
                "Nephew",
                "Cousin",
                "Stepmother",
                "Stepfather",
                "Daughter-in-law",
                "Son-in-law"
              ]
            },
            {
              "type": "text",
              "name": "relative-place-of-birth",
              "title": "Place of Birth",
              "description": "City, province or state, and country.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "relative-date-of-birth",
              "startWithNewLine": false,
              "title": "Date of Birth",
              "inputType": "date"
            },
            {
              "type": "comment",
              "name": "relative-current-address",
              "title": "Current Address",
              "description": "Apartment or street number, street name, city, province or state, and country.",
              "descriptionLocation": "underInput",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "relative-date-of-death",
              "startWithNewLine": false,
              "title": "Date of Death",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput",
              "inputType": "date"
            },
            {
              "type": "comment",
              "name": "relative-name-address-employer",
              "title": "Employer Name and Address",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "relative-job-title",
              "startWithNewLine": false,
              "title": "Job Title"
            }
          ]
        }
      ]
    },
    {
      "name": "part-d",
      "title": "Part D - Residential and Service Information",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "addresses",
          "title": "Addresses in the Last 10 Years",
          "description": "List all addresses where you have lived during the last 10 years, starting with the most recent. Ensure there are no gaps in time.",
          "templateTitle": "Address #{panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateElements": [
            {
              "type": "text",
              "name": "from",
              "title": "From",
              "description": "Enter start date in YYYY/MM format.",
              "descriptionLocation": "underInput",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "9999/99"
              }
            },
            {
              "type": "text",
              "name": "to",
              "title": "To",
              "description": "Enter end date in YYYY/MM format or type Present if this is your current address.",
              "descriptionLocation": "underInput",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "tel-number",
              "startWithNewLine": false,
              "title": "Telephone Number",
              "description": "Complete if applicable.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "apartment-number",
              "title": "Apartment Number",
              "inputType": "number"
            },
            {
              "type": "comment",
              "name": "street-name-no",
              "startWithNewLine": false,
              "title": "Street Number and Street Name",
              "rows": 1,
              "autoGrow": true
            },
            {
              "type": "text",
              "name": "current-address",
              "startWithNewLine": false,
              "title": "City"
            },
            {
              "type": "text",
              "name": "employer-name-address",
              "title": "Province or State"
            },
            {
              "type": "text",
              "name": "postal-code",
              "startWithNewLine": false,
              "title": "Postal Code",
              "maxLength": 10
            },
            {
              "type": "text",
              "name": "country-address",
              "startWithNewLine": false,
              "title": "Country"
            }
          ]
        },
        {
          "type": "boolean",
          "name": "armed-forces",
          "maxWidth": "60%",
          "title": "Have you served in the U.S. Armed Forces (Regular or Reserves) at age 16 or older?"
        },
        {
          "type": "text",
          "name": "service-number",
          "maxWidth": "40%",
          "startWithNewLine": false,
          "title": "Service Number",
          "description": "Provide your U.S. Armed Forces service number, if applicable."
        }
      ]
    },
    {
      "name": "part-e",
      "title": "Part E",
      "elements": [
        {
          "type": "boolean",
          "name": "employed",
          "title": "Are you currently employed?"
        },
        {
          "type": "paneldynamic",
          "name": "employment",
          "title": "Employment History (Last 10 Years)",
          "description": "List all employment during the last 10 years, starting with the most recent. Ensure there are no gaps in time.",
          "templateTitle": "Employer #{panelIndex}",
          "panelCount": 5,
          "panelsState": "firstExpanded",
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "employment-date",
              "title": "From",
              "description": "Enter start date in YYYY/MM format.",
              "descriptionLocation": "underInput",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "9999/99"
              }
            },
            {
              "type": "text",
              "name": "employment-to",
              "startWithNewLine": false,
              "title": "To",
              "description": "Enter end date in YYYY/MM format or type Present if this is your current position.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "job-title-description",
              "startWithNewLine": false,
              "title": "Job Title or Description"
            },
            {
              "type": "text",
              "name": "employment-apartment-number",
              "title": "Employer Name",
              "description": "Provide the full employer name."
            },
            {
              "type": "text",
              "name": "job-site-address",
              "title": "Job Site Address",
              "description": "Street number and street name.",
              "descriptionLocation": "underInput"
            },
            {
              "type": "text",
              "name": "job-site-city",
              "startWithNewLine": false,
              "title": "City"
            },
            {
              "type": "text",
              "name": "job-site-state-province",
              "title": "Province or State"
            },
            {
              "type": "text",
              "name": "job-site-postal-code",
              "startWithNewLine": false,
              "title": "Postal Code",
              "maxLength": 10
            },
            {
              "type": "text",
              "name": "job-site-country",
              "startWithNewLine": false,
              "title": "Country"
            }
          ]
        }
      ]
    }
  ]
};
```

### `src/app/components/pdf.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/pdf.component.html`

```html
<survey [model]="model"></survey>
```

### `src/app/components/pdf.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { json } from "./json";
import "./pdf.component.css";
import "survey-core/survey-core.min.css";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    surveyPDF.questionsOnPageMode = "standard";
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./pdf.component.html",
    styleUrls: ["./pdf.component.css"]
})
export class SurveyPdfComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.showCompleteButton = false;
        survey.navigationButtonsLocation = "topBottom";
        survey.addNavigationItem({
            id: "survey_save_as_file",
            title: "Download PDF",
            action: () => {
                saveSurveyToPdf("surveyResult.pdf", survey);
            }
        });
        survey.addNavigationItem({
            id: "survey_pdf_preview",
            title: "Preview PDF",
            visible: window.navigator.pdfViewerEnabled,
            action: () => {
                previewPdf(survey);
            }
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyPdfComponent } from "./components/pdf.component";

@NgModule({
    declarations: [AppComponent, SurveyPdfComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;">
        <app-root></app-root>
    </div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css

```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "survey-pdf": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/pdf-hr-background-check-consent-form-template/vanillajs.md)
